Bug 191771 - CVE-2006-1861 freetype multiple integer overflows
Summary: CVE-2006-1861 freetype multiple integer overflows
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: freetype (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact: Brock Organ
URL:
Whiteboard: source=vendorsec,reported=20060305,im...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-05-15 17:58 UTC by Josh Bressers
Modified: 2008-03-09 05:58 UTC (History)
2 users (show)

Fixed In Version: FreeType 2.2.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 05:58:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2006-05-15 17:58:51 UTC
+++ This bug was initially created as a clone of Bug #190593 +++

Several integer overflow bugs in freetype have been fixed in CVS.  The details
are below.

The descriptions are the CVS commit messages.  That patch for each particular
comment is keyed off it's # identifier.

* Integer overflow

    #2
    * src/bdf/bdflib.c (ERRMSG4): New macro.
      (_bdf_parse_glyphs): Handle invalid BBX values.
    * include/freetype/fterrdef.h (FT_Err_Bbx_Too_Big): New error
      macro.

    #3
    * src/sfnt/ttcmap.c (tt_face_build_cmaps): Handle invalid offset
    correctly.

    #4
    * src/cff/cfftypes.h (CFF_CharsetRec): Add `max_cid' member.
    * src/cff/cffload.c (cff_charset_load): Set `charset->max_cid'.
    * src/cff/cffgload.c (cff_slot_load): Change type of third parameter
    to `FT_UInt'.
    Check range of `glyph_index'.
    * src/cff/cffgload.h: Updated.

    #6
    * src/bdf/bdflib.c: fixed a problem with large encodings.
    Again, this patch comes from Debian libfreetype6 for 2.1.10 !

See the parent bug for more information

This issue also affects FC4

Comment 1 Marcin Garski 2006-06-02 10:42:03 UTC
All this bugs are fixed in FreeType 2.2.1 release.


Note You need to log in before you can comment on or make changes to this bug.